# Aconti Payment Service

*Article Topics:* [*Billers*](/getting-started/common-topics/billers.md)

## Signing up at Aconti

If you are interested in using Aconti as a third-party processor please contact them directly:\
URL: [https://www.aconti.net](http://www.aconti.net/)

You must give Aconti the following information:

* Postback URL: <https://linkdomain/signup/process\\_aconti.php>

Replace *linkdomain* in the above example with your linkdomain.

## Setting up in Nats

### Billers Admin

Go to the [Billers Admin](/nats-admin/billers.md), select Aconti Payment Service from the drop-down, and click Add. Enter your Client ID and Shared secret, which were provided by Aconti.&#x20;

{% hint style="info" %}
**Please Note:** Aconti will need to be added to a cascade before it can be used. If you don't see Aconti, [put in a support ticket](https://clients.toomuchmedia.com/), as you may need an updated version of NATS.
{% endhint %}

When setting up Aconti in your cascades, you can choose the processing type to be used in the cascade step by selecting it from the drop-down menu. Aconti currently supports the following processing types:

* Credit Cards

### Sites Admin

Go to the [Sites Admin](/nats-admin/sites.md) and click the "Edit" button next to the default tour of the site you would like to configure. In the "Billers Details" section, you will find the following fields for Aconti:

* Language

Next, Edit (or create) the option(s) you want to use with Aconti. You will see the following list of available option fields (all preceded by Aconti id:#):

* Payment - The support payment type to identify this option (all, credit card or debit).
* Currency (optional) - the currency that this join option should be billed in.

This option setup may also require rules to be set up. You can do so with the purple arrows next to the option row.

### Editing Site Templates

Before you can begin processing NATS transactions for Aconti, you must also get their country information. Without retrieving the country that the surfer is located in, this biller transaction will fail for surfers.

To avoid facing this issue, you can insert code on your join page template in order to retrieve this information. This can be done through the [Sites Admin](/nats-admin/sites.md). Simply edit the site templates for the join page you wish to change, and edit the subsequent *join* template.

You can use the following code to retrieve country information from your surfers:

{% code overflow="wrap" %}

```
{if $vars.country}{assign var=country value=$vars.country}{else}{assign var=country value=$countrycode|default:'US'}{/if}
<TR><TD class="join_name">Country:</TD><TD class="join_value">
<select class="join_select" name="signup[country]">{html_options options=$countries selected=$country}</select>
</TD></TR>
```

{% endcode %}

### Expire Padding

You can configure NATS to allow for extra time for rebills to come in for Aconti members.&#x20;

Further details can be found on the "[Member Expire Pad](/nats-admin/members/further-reading/member-expire-pad.md)" page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/getting-started/integrations/supported-billers/aconti-payment-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
